
Core - Bug # 42859

Status: Resolved Priority: Should have
Author: Simon Schaufelberger Category: Extension Manager
Created: 2012-11-12 Assigned To:
Updated: 2012-11-26 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity: medium
Is Regression:
Sprint Focus:
Subject: missing extension icons for lots of core extensions
Description

for lots of core extensions the icons in the extension manager are missing.

they were there in 4.5.!!!

take for example css_styled_content and extra_page_cm_options or felogin

why are people NOT testing their changes before they commit destroy something???

Related issues:
related to Core - Bug # 42882: FileDoesNotExistException thrown in update Resolved 2012-11-12
related to Core - Bug # 43059: File processing is broken Resolved 2012-11-17

History
#1 - 2012-11-13 21:38 - Patrick Broens
- Status changed from New to Needs Feedback

Are you sure you're missing them? The only icon which shows the old grey questionmark is the extension 'feedit', but this icon is there since January
20th, 2011. Could you please check your installation?

Because we are using Gerrit as a review system, it's unlikely this would ever happen, because more than one person are reviewing all patches.

#2 - 2012-11-13 21:45 - Wouter Wolters

They are not missing. The problem is you deleted them you're self probably by deleting the folder _migrated in typo3temp. This is a bug related to FAL
and they are working on a solution for this. They already have a pending patch in Gerrit.

#3 - 2012-11-13 22:15 - Simon Schaufelberger

yes, i deleted the whole typo3temp folder to make sure all files get generated again.

oh oh, FAL is still so buggy...

#4 - 2012-11-13 22:26 - Wouter Wolters
The regeneration of the files is the part that is not working correctly. If you want them back you need to clear the migrated table in the database and the
files will be regenerated.

#5 - 2012-11-17 21:21 - Andreas Wolf
- Priority changed from Must have to Should have
- Target version set to 6.0.0-RC2
- Complexity changed from easy to medium

The main problem here is that we still want to support as much as possible of the old code with FAL. This requires us to do some hacks at some
places, e.g. with the processing folder in typo3temp. Unfortunately, I don't see a real chance to get rid of this soon... OTOH, I don't see why we need
image processing for the extension icons at all. Maybe one of you could try to dig into this to see why the processing is invoked in the first place? I'm
too busy to do that currently, but we should get this fixed for 6.0 RC2.

Btw., there is a patch for the file processing, which is indeed deeply broken currently. Have a look at #43059 and the pending review for more
information.

#6 - 2012-11-26 19:10 - Jigal van Hemert
- Status changed from Needs Feedback to Resolved

Fixed by https://review.typo3.org/14310
